Skip to main content
POST
Select a sheet for multi-sheet Excel files and trigger analysis

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Path Parameters

sourceId
string<uuid>
required
fileId
string<uuid>
required

Body

application/json
sheetName
string
required
Minimum string length: 1

Response

200 - application/json

OK

id
string<uuid>
required
sourceId
string<uuid>
required
filename
string
required
contentType
string
required
size
number | null
required
status
enum<string>
required
Available options:
pending_upload,
uploaded,
processing,
synced,
error
sheetName
string | null
required
rowCount
integer | null
required
Required range: -9007199254740991 <= x <= 9007199254740991
errorMessage
string | null
required
snapshotAt
string<date-time> | null
required
analysisStatus
enum<string> | null
required
Available options:
pending,
analyzing,
analyzed,
approved,
error
analysisResult
object | null
required
availableSheets
string[] | null
required
conversationHistory
object[] | null
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
runInfo
object | null
required